addHook("HUD", function(v,player)
	local exitingCount, playerCount = JISK_COUNT()
	
	if player.stuntime then
		v.drawString(160, 100, "You will be unfrozen in: "..player.stuntime/TICRATE.. " seconds.", V_TRANSLUCENT|V_SNAPTOBOTTOM|V_PERPLAYER, "center")
	end
	if JISK_PIZZATIME then
		if (not player.pizzaface) and (player.exiting) and (not JISK_QUITTING) and (not player.playerstate == PST_DEAD) then
			v.drawString(160, 120, "\x85\* Press FIRE to try a new lap! *", V_TRANSLUCENT|V_SNAPTOBOTTOM|V_PERPLAYER, "center")
		end
		
		if (playerCount == 1) then
			v.drawString(160, 8, "\x84\* PRACTICE MODE *", V_TRANSLUCENT|V_SNAPTOTOP, "center")
		end
	end
end,"game")


/*
local hud_debug = CV_RegisterVar({
	name = "hud_debug",
	defaultvalue = "100",
	flags = CV_NETVAR,
	PossibleValue = CV_Unsigned, 
})

local hud_debug2 = CV_RegisterVar({
	name = "hud_debug2",
	defaultvalue = "0",
	flags = CV_NETVAR,
	PossibleValue = CV_Unsigned, 
})
*/
-- LAPS AND PIZZATIME-MOVEUP HUD --
local timeafteranimation = 0
addHook("HUD", function(v,player)
	if JISK_PIZZATIME then
		local expectedtime = TICRATE*3
		local start = 300*FRACUNIT
		local finish = 175*FRACUNIT
		local ese = ease.inoutcubic(( (FU) / (expectedtime) )*JISK_PIZZATIMETICS, start, finish)
		local barese = ease.linear(( (FU) / (JISK_TIMELIMIT.value*TICRATE*60) )*JISK_TIMELEFT, 0,150*FRACUNIT) -- shortcut with tweens lol
		local bar = v.cachePatch("SHOWTIMEBAR")
		local bar2 = v.cachePatch("SHOWTIMEBAR2")
		
		--1/JISK_TIMELEFT
		--JISK_TIMELEFT
		
		--ease.linear(fixed_t t, [[fixed_t start], fixed_t end])
		
		if JISK_PIZZATIMETICS < expectedtime then -- during animation
			print(ese)
			--purple bar, +1 fracunit because i want it inside the box 
			-- MAX VALUE FOR HSCALE: FRACUNIT*150
			v.drawStretched(91*FRACUNIT, ese + (5*FU)/2, barese, (FU/2) - (FU/12), bar2, V_SNAPTOBOTTOM)
			--brown overlay
			v.drawScaled(90*FRACUNIT, ese, FU/2, bar, V_SNAPTOBOTTOM)
			
		else -- after animation
			v.drawStretched(91*FRACUNIT, finish + (5*FU)/2, barese, (FU/2) - (FU/12), bar2, V_SNAPTOBOTTOM)
			v.drawScaled(90*FRACUNIT, finish, FU/2, bar, V_SNAPTOBOTTOM)
			--v.drawString(int x, int y, string text, [int flags, [string align]])
			if timeafteranimation then
				if timeafteranimation < 10 then
					v.drawString(165, (finish/FU) + 5, G_TicsToMTIME(JISK_TIMELEFT,true), V_SNAPTOBOTTOM|(10-timeafteranimation)<<V_ALPHASHIFT , "center")
				else
					if JISK_TIMELEFT then
					
						if JISK_TIMELEFT < 10*TICRATE then
							if (JISK_TIMELEFT % TICRATE) == 0 then
								v.drawString(165, (finish/FU) + 5, "\x85"..G_TicsToMTIME(JISK_TIMELEFT,true), V_SNAPTOBOTTOM , "center")
								return
							end
							
							v.drawString(165, (finish/FU) + 5, G_TicsToMTIME(JISK_TIMELEFT,true), V_SNAPTOBOTTOM , "center")
						end
						v.drawString(165, (finish/FU) + 5, G_TicsToMTIME(JISK_TIMELEFT,true), V_SNAPTOBOTTOM , "center")
					else
						if leveltime % 5 then
							v.drawString(165, (finish/FU) + 5, "\x85\TIME OVER!", V_SNAPTOBOTTOM , "center")
						else
							v.drawString(165, (finish/FU) + 5, "TIME OVER!", V_SNAPTOBOTTOM , "center")
						end
					end
				end
			end
			timeafteranimation = $ + 1
		end
		
		
	else
		timeafteranimation = 0
	end
end)


addHook("HUD", function(v,player)

	if JISK_PIZZATIME then
		if JISK_PIZZATIMETICS and JISK_PIZZATIMETICS < 10*TICRATE then
			local patch = v.cachePatch("ITSPIZZATIME1")
			if leveltime % 3 then
				patch = v.cachePatch("ITSPIZZATIME2")
			end
			v.drawScaled(100*FRACUNIT, (250*FU) - (JISK_PIZZATIMETICS*FU)*3, FU/2, patch)
		end
		if JISK_DYNAMICLAPS.value then
			v.drawString(160, 0, "\x82\* DYNAMIC LAPS: "..JISK_LAPS.." / "..JISK_DYNAMICMAXLAPS.." *", V_TRANSLUCENT|V_PERPLAYER|V_SNAPTOTOP, "center")
			return
		end
		
		if JISK_MAXLAPS.value then
			v.drawString(160, 0, "\x82\* LAPS: "..JISK_LAPS.." / "..JISK_MAXLAPS.value.." *", V_TRANSLUCENT|V_PERPLAYER|V_SNAPTOTOP, "center")
			return
		else
			v.drawString(160, 0, "\x82\* LAPS: "..JISK_LAPS.." *", V_TRANSLUCENT|V_PERPLAYER|V_SNAPTOTOP, "center")
			return
		end
	end
end,"game")

